curl --request GET \
--url https://api.plane.com/v1/payments \
--header 'Authorization: Bearer <token>'{
"payments": [
{
"id": "pt_79d76i8Y5ct1Kfzu3CkHKmHE",
"worker": "wr_CgcLakmx4guire",
"date": "2023-11-17",
"amount": "12.0",
"currency": "USD",
"status": "pending",
"reference": "RTYNFGEC",
"note": null,
"period": null,
"funding": {
"amount": "12.0",
"currency": "USD"
}
},
{...},
{...}
]
}
Returns a list of all payments in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/payments \
--header 'Authorization: Bearer <token>'{
"payments": [
{
"id": "pt_79d76i8Y5ct1Kfzu3CkHKmHE",
"worker": "wr_CgcLakmx4guire",
"date": "2023-11-17",
"amount": "12.0",
"currency": "USD",
"status": "pending",
"reference": "RTYNFGEC",
"note": null,
"period": null,
"funding": {
"amount": "12.0",
"currency": "USD"
}
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before=obj_bar in order to fetch the previous page of the
list.payments property that contains an array fo up to limit payments, starting after payment starting_after.
Each entry in the array is a separate payment object. If no more payments are available, the resulting array will be empty.
{
"payments": [
{
"id": "pt_79d76i8Y5ct1Kfzu3CkHKmHE",
"worker": "wr_CgcLakmx4guire",
"date": "2023-11-17",
"amount": "12.0",
"currency": "USD",
"status": "pending",
"reference": "RTYNFGEC",
"note": null,
"period": null,
"funding": {
"amount": "12.0",
"currency": "USD"
}
},
{...},
{...}
]
}
Was this page helpful?